Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class AbstractGenerator.Output

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.mortbay.jetty.AbstractGenerator.Output

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Direct Known Subclasses:
  HttpConnection.Output

Enclosing class:
  AbstractGenerator

    public static class AbstractGenerator.Output

extends javax.servlet.ServletOutputStream

Output.

Implements `ServletOutputStream` from the `javax.servlet` package.

A `ServletOutputStream` implementation that writes content to a `AbstractGenerator`. The class is designed to be reused and can be reopened after a close.

Field Summary
`protected ByteArrayBuffer` | `_buf`
`protected boolean` | `_closed`
`protected AbstractGenerator` | `_generator`
`protected long` | `_maxIdleTime`

Constructor Summary
`AbstractGenerator.Output(AbstractGenerator generator, long maxIdleTime)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `print(java.lang.String s)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _generator

    protected AbstractGenerator _generator

### _maxIdleTime

    protected long _maxIdleTime

### _buf

    protected ByteArrayBuffer _buf

### _closed

    protected boolean _closed

Constructor Detail

### AbstractGenerator.Output

    public AbstractGenerator.Output(AbstractGenerator generator,
                                    long maxIdleTime)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Overrides:
    `print` in class `javax.servlet.ServletOutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.